<p align="center">
    <img alt="logo" width="120px" height="120px" src="https://vkceyugu.cdn.bspapp.com/VKCEYUGU-ad8d1200-2a6b-490b-8915-4f015cc6cc87/3c637506-9024-4153-baa7-fa7b66c87f67.svg" width="200" style="margin-bottom: 10px;">
</p>
<h3 align="center">  Aunt</h3>

<p align="center">🔥 一个简单清晰的移动端UI组件库 - Aunt. 🔥</p>

## ✨ 特性

- 🚀 组件平均体积小于 1KB（min+gzip）.
- 💎 70+ 个高质量组件，覆盖移动端主流场景.
- 🛞 30+ 个高质量业务组件和页面.
- 💪 使用 TypeScript 编写，提供完整的类型定义.
- 📝 提供完善的文档和组件示例.
- 🎨 支持主题定制，内置 700+ 个主题变量.
- 😎 支持按需引入和 Tree Shaking.
- 🌵 现代浏览器

## 🖥 环境支持

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br> Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/a94987f29719142668cdf960b3f624ce1a3c6aa8/src/safari-ios/safari-ios.svg" alt="Safari for iOS" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/) <br> Safari |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

支持现代浏览器和 Chrome >= 51，iOS >= 10.0。

## 📦 安装

目前为高速迭代期间，可实时关注变化并进行更新。

```bash
# npm
npm i aunt

# yarn
yarn add aunt
```

## 🚀 快速开始

以下是 `aunt` 的一些代码示例：

#### 代码片段:

```tsx
import ReactDOM from 'react-dom';
import { Button } from 'aunt';

function App() {
  return <Button>Default Button</Button>;
}

ReactDOM.render(<App />, mountNode);
```

更多信息请参考[快速开始](https://aunt.design/guide/quick-start).

内置从零搭建项目流程可参考[项目实战](https://aunt.design/guide/projects)

## 🛠 本地开发

先将本项目克隆到本地并安装相关依赖。

```bash
# 克隆项目
git clone https://github.com/79E/aunt.git

# 安装依赖
cd aunt && npm install

# 进入开发模式，浏览器访问 http://localhost:8000
npm start
```

## 🤝 贡献

阅读我们的贡献指南，让我们一起构建更好的 `Aunt`。

我们欢迎所有贡献。 请先阅读我们的 [开发指南](https://aunt.design/guide/contribution)。 您可以将任何想法作为拉取请求或作为 GitHub 问题提交 😃。

## 📜 许可证

[MIT](https://github.com/79E/aunt/blob/master/LICENSE)
